// CHoopsDoc.h : interface of the CHoopsDoc class, derived from CDocument
// Adds encapsulation of a HOOPS Model Object, which corresponds to a segment
// in the HOOPS Include Library

#ifndef hoops_doc
#define hoops_doc 


#include "HBaseModel.h"

class AFX_EXT_CLASS CHoopsDoc : public CDocument
{
protected: // create from serialization only
	CHoopsDoc();
	DECLARE_DYNCREATE(CHoopsDoc)

	HBaseModel*		m_pHoopsModel;	// ptr to the HOOPS Model object associated with this Document
									// HBaseModel serves as a wrapper class for a HOOPS Include Library segment

	long			m_include_key;  // key of the HOOPS Include Library segment associated with this view
									// intended to be used as an ALTERNATIVE to an HBaseModel object (m_pHoopsModel)

// Operations
public:

	HBaseModel* GetHoopsModel( void ) { return m_pHoopsModel; }
	long		GetIncludeKey( void) { return m_include_key; }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHoopsDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CHoopsDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CHoopsDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif

/////////////////////////////////////////////////////////////////////////////
